# StageLogPush

This function pushes a stage on the stack.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT StageLogPush(StageLog stageLog, int stage)

Not Collective

### Input Parameters

| stageLog | - The StageLog
| stage | - The stage to log

### Database Options

-log_summary -Activates logging

### Usage

If the option -log_sumary is used to run the program containing the following code, then 2 sets of summary data will be printed during PetscFinalize().

          PetscInitialize(int *argc,char ***args,0,0);
          [stage 0 of code]
          StageLogPush(stageLog,1);
          [stage 1 of code]
          StageLogPop(stageLog);
          PetscBarrier(...);
          [more stage 0 of code]
          PetscFinalize();

### Notes

Use PetscLogStageRegister() to register a stage. All previous stages are accumulating time and flops, but events will only be logged in this stage.

### Keywords

log, push, stage

### See Also

StageLogPop(), StageLogGetCurrent(), StageLogRegister(), PetscLogGetStageLog()

Level:intermediate
Location: src/sys/plog/utils/stageLog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages